using data.Domain.UseCase;
using data.RemoteData.RemoteDataBase.DAO;
using Microsoft.AspNetCore.Mvc;

namespace presence_api.Controllers;
[ApiController]
[Route("api/[controller]")]
public class GroupController: ControllerBase {
    readonly GroupUseCase _groupUseCase;
   public GroupController(GroupUseCase groupUseCase)
   {
        _groupUseCase=groupUseCase;
   }

[HttpGet]
public ActionResult<IEnumerable<GroupDao>> getGroups()
    {
        return _groupUseCase.GetAllGroups();
    }
}